import * as React from 'react';
import type { Meta } from '@storybook/react';
import { ActionButton, ActionButtonProps } from '.';
import { Button } from '@tesseract-design/web-base';

const meta: Meta<typeof ActionButton> = {
	component: ActionButton,
	argTypes: {
		type: {
			control: { type: 'select' },
			options: Button.AVAILABLE_TYPES,
		},
		variant: {
			control: { type: 'select' },
			options: Button.AVAILABLE_VARIANTS,
		},
		size: {
			control: { type: 'select' },
			options: Button.AVAILABLE_SIZES,
		},
		onClick: {
			table: {
				disable: true,
			},
			action: 'clicked',
		},
	},
	args: ActionButton.defaultProps ?? {},
};

export const Story = (args: Omit<ActionButtonProps, 'ref'>) => (
	<ActionButton
		{...args}
	>
		Button
	</ActionButton>
);

export default meta;
